Subject: bug#75893: Polyglossia

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 21 Mar 2025 14:45:47 +0100

Andreas Enge <[email-masked]> writes:

> Am Fri, Mar 21, 2025 at 12:13:19PM +0100 schrieb Nicolas Goaziou:
>> I think you need to move all font-* and fontconfig packages outside of
>> texlive-local-tree, but still keep them as native inputs.
>
> Indeed, I confirm that the diff below makes texlive-polyglossia build.

Thanks for the feedback.

>> I think the issue is the same in packages including non-texlive inputs
>> within texlive-local-tree, such as texlive-arabxetex. To be confirmed
>> with the above.
>
> That sounds like a lot of work to arrange on lots of packages...

There are actually only two packages involved: texlive-polyglossia, and
texlive-arabxetex.

> I suppose it should be included into commit
>    commit ee6b9d91abe5d4ff8c6b3608a289e9a8bdf62834
>    Author: Nicolas Goaziou <[email-masked]>
>    Date:   Mon Feb 10 10:35:26 2025 +0100
>    gnu: texlive-updmap.cfg: Provide a full TeX Live tree.

Indeed, I’m going to include the fix in this commit.

What about the benchmark?

Nicolas